[GNC-dev] Package Build Fails now

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

[GNC-dev] Package Build Fails now

Stephen M. Butler
Tommy,

Well, I was able to build the 3.7 package for Disco a couple months
back.  Now it fails even though cmake and make work just fine.  I get
these notices:

Output:
----------------------------------------------------------
* 16:01:20  WARN <gnc.engine> failed to load gncmod-backend-dbi from
relative path
* 16:01:20 ERROR <gnc.engine> required library gncmod-backend-dbi not found.
* 16:01:20  WARN <gnc.engine> failed to load gncmod-backend-xml from
relative path
* 16:01:20 ERROR <gnc.engine> required library gncmod-backend-xml not found.
* 16:01:20  WARN <gnc.core-utils> no backend loaded, or the backend
doesn't define register_cb, returning 0
* 16:01:20  WARN <gnc.core-utils> no backend loaded, or the backend
doesn't define register_cb, returning 0
* 16:01:20  WARN <gnc.core-utils> no backend loaded, or the backend
doesn't define register_cb, returning 0
* 16:01:20  WARN <gnc.core-utils> no backend loaded, or the backend
doesn't define register_cb, returning 0
* 16:01:20  WARN <gnc.core-utils> no backend loaded, or the backend
doesn't define register_cb, returning 0
...........................................


Any idea on why it might not find those libraries?

--Steve

--
Stephen M Butler, PMP, PSM
[hidden email]
[hidden email]
253-350-0166
-------------------------------------------
GnuPG Fingerprint:  8A25 9726 D439 758D D846 E5D4 282A 5477 0385 81D8

_______________________________________________
gnucash-devel mailing list
[hidden email]
https://lists.gnucash.org/mailman/listinfo/gnucash-devel
Reply | Threaded
Open this post in threaded view
|

Re: [GNC-dev] Package Build Fails now

Tommy Trussell
On Tue, Oct 29, 2019 at 1:44 PM Stephen M. Butler <[hidden email]> wrote:

> Tommy,
>
> Well, I was able to build the 3.7 package for Disco a couple months
> back.  Now it fails even though cmake and make work just fine.  I get
> these notices:
>
> Output:
> ----------------------------------------------------------
> * 16:01:20  WARN <gnc.engine> failed to load gncmod-backend-dbi from
> relative path
> * 16:01:20 ERROR <gnc.engine> required library gncmod-backend-dbi not
> found.
> * 16:01:20  WARN <gnc.engine> failed to load gncmod-backend-xml from
> relative path
> * 16:01:20 ERROR <gnc.engine> required library gncmod-backend-xml not
> found.
> * 16:01:20  WARN <gnc.core-utils> no backend loaded, or the backend
> doesn't define register_cb, returning 0
> * 16:01:20  WARN <gnc.core-utils> no backend loaded, or the backend
> doesn't define register_cb, returning 0
> * 16:01:20  WARN <gnc.core-utils> no backend loaded, or the backend
> doesn't define register_cb, returning 0
> * 16:01:20  WARN <gnc.core-utils> no backend loaded, or the backend
> doesn't define register_cb, returning 0
> * 16:01:20  WARN <gnc.core-utils> no backend loaded, or the backend
> doesn't define register_cb, returning 0
> ...........................................
>
>
> Any idea on why it might not find those libraries?
>
> --Steve
>
>
Now that I have tried, I'm finding nothing is building for me, either.

For example, I just attempted to build the eoan package in an eoan chroot,
and it SHOULD have worked, but it failed with essentially the same errors
you showed. I cleared the apt cache. I changed the resolver preference.
Same result.

If your output is like mine,  these builds are failing on tests number 126
and 127


126/127 Testing: sqlite3test

> 126/127 Test: sqlite3test
> Command: "/<<PKGBUILDDIR>>/.build/bin/sqlite3test"
> Directory: /<<PKGBUILDDIR>>/.build/bindings/python
> "sqlite3test" start time: Oct 30 01:03 UTC
> Output:
> ----------------------------------------------------------
> * 01:03:46  WARN <gnc.engine> failed to load gncmod-backend-dbi from
> relative path
> * 01:03:46 ERROR <gnc.engine> required library gncmod-backend-dbi not
> found.
> * 01:03:46  WARN <gnc.engine> failed to load gncmod-backend-xml from
> relative path
> * 01:03:46 ERROR <gnc.engine> required library gncmod-backend-xml not
> found.
> <end of output>
> Test time =   0.01 sec
> ----------------------------------------------------------
> Test Passed.
> "sqlite3test" end time: Oct 30 01:03 UTC
> "sqlite3test" time elapsed: 00:00:00
> ----------------------------------------------------------
>
> 127/127 Testing: python-bindings
> 127/127 Test: python-bindings
> Command: "/usr/bin/python3" "/<<PKGBUILDDIR>>/bindings/python/tests/
> runTests.py.in"
> Directory: /<<PKGBUILDDIR>>/.build/bindings/python/tests
> "python-bindings" start time: Oct 30 01:03 UTC
> Output:
> ----------------------------------------------------------
> * 01:03:46  WARN <gnc.core-utils> no backend loaded, or the backend
> doesn't define register_cb, returning 0
> * 01:03:46  WARN <gnc.core-utils> no backend loaded, or the backend
> doesn't define register_cb, returning 0
> * 01:03:46  WARN <gnc.core-utils> no backend loaded, or the backend
> doesn't define register_cb, returning 0
> * 01:03:46  WARN <gnc.core-utils> no backend loaded, or the backend
> doesn't define register_cb, returning 0
> * 01:03:46  WARN <gnc.core-utils> no backend loaded, or the backend
> doesn't define register_cb, returning 0
> ...........................................
> ----------------------------------------------------------------------
> Ran 43 tests in 0.199s
>
> OK
> <end of output>
> Test time =   0.39 sec
> ----------------------------------------------------------
> Test Passed.
> "python-bindings" end time: Oct 30 01:03 UTC
> "python-bindings" time elapsed: 00:00:00
> ----------------------------------------------------------
>


Since both tests referenced python bindings, I looked at the Python
versions. libpython3.7 for eoan and disco have had a couple of updates in
the past few weeks, but nothing since early October. I would think that if
the recent security updates, etc. had broken something we would see lots of
folks complaining. So surely it must be something we're doing differently.
And the bionic python package versions haven't changed since April.

But I am not making any progress tonight. Sorry I cannot offer any useful
suggestions. Maybe someone else will see this and recognize the core issue.
_______________________________________________
gnucash-devel mailing list
[hidden email]
https://lists.gnucash.org/mailman/listinfo/gnucash-devel